The resource for exporting selected metadata with all dependencies.
HTTP Request
POST
https://secure.gooddata.com/gdc/md/PROJECT_ID/maintenance/partialmdexport
HTTP Headers
Content-Type: application/json
Accept: application/json
{
"partialMDExport": {
"uris": [
"/gdc/md/PROJECT_ID/obj/OBJECT_ID"
]
}
}
200 OK HTTP Status + Metadata artifact that contains token and URI for task polling:
{
"partialMDArtifact": {
"status": {
"uri": "/gdc/md/PROJECT_ID/tasks/TASK_ID/status"
},
"token": "TOKEN_STRING"
}
}
The resource for importing selected metadata based on the generated token.
HTTP Request
POST
https://secure.gooddata.com/gdc/md/PROJECT_ID/maintenance/partialmdimport
HTTP Headers
Content-Type: application/json
Accept: application/json
{
"partialMDImport" : {
"token" : "TOKEN_STRING",
"overwriteNewer" : "BOOLEAN"
"updateLDMObjects" : "BOOLEAN"
}
}
200 OK HTTP Status + URI of the async process status resource for polling
{
"uri" : "/gdc/md/PROJECT_ID/etltask/TASK_ID"
}